<?php
/*
	HD MEDIA SOURCE CODE
	(C) COPYRIGHT 2007 HD MEDIA GROUP
*/

$pgLimit = 10; // Antal nyheder vist pr. side

// Hent ALLE godkendte nyheder
$query["getAllApprovedNews"] = mysql_query("SELECT * FROM `".$cfg["pfx"]."articles` WHERE `approved`=0 ORDER BY `id` DESC");
if ( empty($_GET["start"]) || !is_numeric($_GET["start"]) ) {
	$check["limit"] = "LIMIT " . $pgLimit; // Hvis start ikke er definderet, sæt limit til $pgLimit
} elseif ( is_numeric($_GET["start"]) ) {
	if ( $_GET["start"] < mysql_num_rows($query["getAllNonApprovedNews"]) && $_GET["start"] > 1 ) {
		$start = $pgLimit * $_GET["start"] - $pgLimit;
		// Sæt start til $start og limit til $pgLimit, hvis $_GET["start"] er defineret og er et TAL, og ikke er større end det antal artikler, der findes
		$check["limit"] = "LIMIT " . $start . " , " . $pgLimit;
	} else {
		$check["limit"] = "LIMIT " . $pgLimit; // Hvis ikke, sæt da limit til $pgLimit
	}
}
$articles_on_page = 0; // Start artikeltælling fra 0
// Hent godkendte nyheder og start benyt $check["limit"] som LMIIT og eventuel START
$query["getApprovedNews"] = mysql_query("SELECT * FROM `".$cfg["pfx"]."articles` WHERE `approved`=0 ORDER BY `date` DESC {$check[limit]}");
while($narow = mysql_fetch_assoc($query["getApprovedNews"])) {
/*
	BEHANDLING AF DATA
*/
$articles_on_page++; // Forøg antallet af artikler, der nu er vist på siden
} // Ends narow while
?>
<div style="text-align:center;">
Side <?php
// Find ud af, hvor mange artikler der er: antal artikler divideret med limit (afrundes)
$no_of_pages = ceil(mysql_num_rows($query["getAllApprovedNews"]) / $pgLimit);
// Hvad er nuværende side? (hvis $_GET["start"] er defineret, vis da værdien, ellers vis side 1
$currentPage = is_numeric($_GET["start"]) ? $_GET["start"] : "1";
// Udskriv Side X af Y
print $currentPage . " af " . $no_of_pages . "<br />";

// Sæt som standard den VALGTE side som side 1
$page_select_nr = 1;
// Mulighed for at skifte side (mens $page_select_nr er mindre end eller lig med antal sider
while($page_select_nr <= $no_of_pages) {
	if ( $_GET["start"] == $page_select_nr || ( empty($_GET["start"]) && $page_select_nr == 1 ) ) {
		// Hvis det er den aktive side, der er valgt NU, skal den gøres FED
		print "<strong>";
	} else {
		// Hvis ikke, skal der bare være et link
		$thelink = $_SERVER["PHP_SELF"];//preg_replace("/(\?|\&)start=([0-9]{0-100}|[A-Z]|[a-z]|[0-9])/", "", $_SERVER["REQUEST_URI"]);
		print "<a href=\"{$thelink}?start={$page_select_nr}\">";
	}
	// Udskriv SIDENUMMERET
	print $page_select_nr;
	if ( $_GET["start"] == $page_select_nr || ( empty($_GET["start"]) && $page_select_nr == 1 ) ) {
		// Hvis det er den aktive side, der er valgt NU, skal den gøres FED (afsluttes)
		print "</strong>";
	} else {
		// Hvis ikke, skal der bare være et link (afsluttes)
		print "</a>";
	}
	print " ";
	// Forøg den nuværende side til næste punkt i WHILE
	$page_select_nr++;
} // Ends while
?>
</div>